Create transaction: SHI

Create a transactionId to allow your users to import their broker holdings on your platform

👍

Learn about Holdings Import flow -

https://developers.gateway.smallcase.com/docs/holdings-import

Once the transactionId is created, the same can be passed to thetriggerTransaction method of the client-side SDK

User will be asked to login with his choice of broker & allow holdings import on the partner platform with one-time consent

Holdings data is then shared via webhooks. Holdings data response structure here

Import mutual fund holdings

smallcase Gateway now provides an option to import mutual funds holdings along with the stocks and smallcase holdings in the holdings import flow (broker support: MFSUPPORTEDBROKER).

Learn more To create a transactionId for holdings import to include the mutual funds holdings in response along with stock and smallcase holdings, pass the body params as mentioned below:

{
   "intent": "HOLDINGS_IMPORT",
   "assetConfig": {
       "mfHoldings": "true"
   }
}


Request parameters

Path Params
string
required
Body Params
string
enum
required
Defaults to HOLDINGS_IMPORT

To define intent of the transaction

Allowed:
string

Optional | upto 256 characters, returned in the holdings response

assetConfig
object
Headers
string
required
Defaults to gatewayDemo_secret

Required | apiSecret shared for authentication

string
required
Defaults to eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJndWVzdCI6dHJ1ZSwiaWF0IjoxNjU0MzIxMDAwfQ.qiZ_w1yFYXhkdLMlqI28XJOXitfZwr64e2oL-lMEHZU

Required | JWT signed with shared secret & payload for guest

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json